---
updatedAt: 2026-05-07T13:26:35.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# Update card information

Update card information - `name`, `transaction_limit`, `printed_name`, `contactless_enabled`, `abu_enabled`, or `metadata`.<br>

This endpoint generates a [Card updated](https://developers.pismo.io/events/docs/cards-update-1) event.

**Note:** This endpoint takes an account token - an access token encoded with a Pismo account ID.


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Card issuing - Cards",
    "version": "1.4.6",
    "description": "Card endpoints API",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "Sandbox API server for testing."
    },
    {
      "url": "https://gw-pci.pismolabs.io",
      "description": "Sandbox PCI API server for testing."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Cards",
      "description": "Card management endpoints"
    }
  ],
  "components": {
    "parameters": {
      "cardId": {
        "in": "path",
        "name": "cardId",
        "schema": {
          "type": "string"
        },
        "description": "Pismo card ID",
        "example": "12345",
        "required": true
      },
      "customerIdHeader": {
        "in": "header",
        "name": "x-customer-id",
        "schema": {
          "type": "integer"
        },
        "required": true,
        "description": "Pismo customer ID",
        "example": 125555
      }
    },
    "schemas": {
      "ABUenabled": {
        "type": "boolean",
        "description": "\nThis field is **DEPRECATED**. For more information, refer to the [ABU documentation](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#mastercards-automatic-billing-updater-option) in the Cards overview guide.\n\n\nWhen a card is created or reissued, or its account credentials change, Mastercard is notified if this feaure is enabled. Notification updates are sent to Mastercard on a daily basis. \n\nFor more information, refer to Mastercard's <a href=\"https://developer.mastercard.com/product/automatic-billing-updater-abu/\" target=\"_blank\">ABU</a> documentation.\n",
        "example": true,
        "deprecated": true
      },
      "CardAlias": {
        "type": "string",
        "description": "Card alias name for a `VIRTUAL` card. \n\nThis field is **REQUIRED** to be unique for each `VIRTUAL` card a customer owns.\n\nNo matter what is passed for a `PLASTIC` card, the value is always `PLASTIC`.\n",
        "minLength": 1,
        "maxLength": 50,
        "example": "Vacation card"
      },
      "CardStatus": {
        "type": "string",
        "description": "Card status enum. Refer to the [Card lifecycle and statuses](https://developers.pismo.io/pismo-docs/docs/card-lifecycle-and-statuses) guide for more information and a complete list.\n",
        "example": "NORMAL"
      },
      "CardType": {
        "type": "string",
        "description": "Card type enum:\n * `PLASTIC` - Physical card - plastic or metal.\n * `VIRTUAL` - Digital card with fixed PAN and dynamic CVV.\n * `TEMPORARY` - Virtual card with a fixed PAN and CVV meant for short-term use, typically 24 hours. For more information, refer to [Configuring temporary cards](https://developers.pismo.io/pismo-docs/docs/cards-overview-1#configuring-temporary-cards) in the Cards management guide.\n * `RECURRING` - Virtual card with a fixed PAN and CVV originally meant for use with recurring subscriptions. This type is being **DEPRECATED** and it is recommended you use `VIRTUAL` instead. \n",
        "example": "VIRTUAL",
        "enum": [
          "PLASTIC",
          "VIRTUAL",
          "RECURRING",
          "TEMPORARY"
        ]
      },
      "Contactless": {
        "type": "boolean",
        "description": "For physical cards. Is card enabled for contactless transactions? \n \nWith contactless transactions, you hold or tap the card on contactless-enabled card reader to complete a transaction. This requires that both the card and the terminal have Near Field Communication (NFC) technology. Most embossers can create plastic contactless cards.\n\nDefault is `true`.\n",
        "default": true,
        "example": false
      },
      "IssuingDate": {
        "type": "string",
        "description": "Date/time when card was issued in RFC3339 format, i.e., 2019-07-03T17:23:18Z",
        "example": "2019-07-03T17:23:18Z"
      },
      "Metadata": {
        "type": "object",
        "description": "\nAny key-value object. Max length = 3200 bytes. This **must** be valid JSON data.\n\n**Note**: This field must not be used to send Personally Identifiable Information (PII), Payment Card Industry (PCI) data, or any sensitive/regulated information. Metadata fields are intended for operational, non-sensitive data only. For sensitive data, use the specific parameters designed for that  purpose. For more information, refer to [Get started with Pismo APIs](https://developers.pismo.io/pismo-docs/reference/get-started-with-pismo-apis#metadata).\n",
        "example": {
          "my-custom-key": "my-custom-value"
        },
        "maxLength": 3200
      },
      "PrintedName": {
        "type": "string",
        "minLength": 2,
        "maxLength": 26,
        "description": "Printed/embossed card name.\n\nCurrently, you have 3 ways to populate this field:\n   \n   1. During account creation via the `application.applicant.personal.social_name` field.\n   2. During account creation via the `application.applicant.personal.name` field when the field in #1 is not set.\n   3. Passing the `printed_name` field during card creation, updating a card, or when reissuing a card. This takes priority over #1 and #2.\n\nNo letters with accents, numbers, or special characters - only letters (a-z|A-Z) and space, as specified in the <a href=\"https://emvlab.org/emvtags/show/t5F20/\" target=\"_blank\">ISO EMV tag 5F20</a> for cardholder name.\n\n**REQUIRED** for an `UNNUMBERED` card (Card created without PIN or PAN that issuer defines at some point in the future.)\n"
      },
      "TransactionLimit": {
        "type": "string",
        "description": "Optional for virtual cards. Maximum amount allowed per transaction. Set up to the approved limit. If not set, account limit is used.",
        "example": "500.00"
      },
      "UpdateCard": {
        "type": "object",
        "description": "Card update request object",
        "properties": {
          "name": {
            "$ref": "#/components/schemas/CardAlias"
          },
          "printed_name": {
            "$ref": "#/components/schemas/PrintedName"
          },
          "transaction_limit": {
            "$ref": "#/components/schemas/TransactionLimit"
          },
          "contactless_enabled": {
            "$ref": "#/components/schemas/Contactless"
          },
          "abu_enabled": {
            "type": "boolean",
            "description": "To delete a card from the ABU database, submit Mastercard ABU reason code `O` (optout), and Mastercard will delete the card and all previous references to the card data chain. This prevents further merchant notifications. Removing a card from the ABU database using reason code O (Optout) does not result in associated MDES tokens being deleted. Mastercard maintains an audit trail for all deleted cards. \n\nSet this field to `false`to optout.\n"
          },
          "metadata": {
            "$ref": "#/components/schemas/Metadata"
          }
        }
      },
      "UpdateCardResponse": {
        "type": "object",
        "description": "Response body for card update request",
        "properties": {
          "id": {
            "type": "integer",
            "description": "Card ID",
            "example": 123456
          },
          "status": {
            "$ref": "#/components/schemas/CardStatus"
          },
          "printed_name": {
            "$ref": "#/components/schemas/PrintedName"
          },
          "name": {
            "$ref": "#/components/schemas/CardAlias"
          },
          "type": {
            "$ref": "#/components/schemas/CardType"
          },
          "issuing_date": {
            "$ref": "#/components/schemas/IssuingDate"
          },
          "transaction_limit": {
            "$ref": "#/components/schemas/TransactionLimit"
          },
          "tracking": {
            "type": "string",
            "description": "File sent to embosser tracking ID"
          },
          "contactless_enabled": {
            "$ref": "#/components/schemas/Contactless"
          },
          "abu_enabled": {
            "$ref": "#/components/schemas/ABUenabled"
          }
        },
        "example": {
          "id": 6741322,
          "status": "NORMAL",
          "stage": "UNBLOCKED",
          "printed_name": "Some person",
          "name": "Vacation card 2",
          "type": "VIRTUAL",
          "issuing_date": "2022-01-04T17:20:15Z",
          "transaction_limit": "100",
          "tracking": "586988",
          "contactless_enabled": true,
          "abu_enabled": true
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "401Unauthorized": {
        "description": "Access token is missing or invalid"
      },
      "403Forbidden": {
        "description": "You don't have permission to access this resource"
      },
      "409ConflictCardsPost": {
        "description": "You already have a card with this type and name active"
      },
      "500InternalServer": {
        "description": "Internal server error"
      }
    }
  },
  "paths": {
    "/wallet/v2/cards/{cardId}": {
      "patch": {
        "summary": "Update card information",
        "description": "Update card information - `name`, `transaction_limit`, `printed_name`, `contactless_enabled`, `abu_enabled`, or `metadata`.<br>\n\nThis endpoint generates a [Card updated](https://developers.pismo.io/events/docs/cards-update-1) event.\n\n**Note:** This endpoint takes an account token - an access token encoded with a Pismo account ID.\n",
        "operationId": "patch-v2-card",
        "tags": [
          "Cards"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/cardId"
          },
          {
            "$ref": "#/components/parameters/customerIdHeader"
          }
        ],
        "requestBody": {
          "description": "Request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateCard"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Card update response object",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UpdateCardResponse"
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "409": {
            "$ref": "#/components/responses/409ConflictCardsPost"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```